Name:           python-mosaicml
Version:        0.31.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Composer is a PyTorch library that enables you to train neural networks faster, at lower cost, and to higher accuracy.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/mosaicml/composer
Source:         %{pypi_source mosaicml}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'mosaicml' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-mosaicml
Summary:        %{summary}

%description -n python3-mosaicml %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-mosaicml all,base,coco,comet-ml,databricks,dev,gcs,libcloud,mlflow,mlperf,neptune,nlp,oci,onnx,pandas,peft,sentencepiece,slack,streaming,system-metrics-monitor,tensorboard,wandb


%prep
%autosetup -p1 -n mosaicml-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,base,coco,comet-ml,databricks,dev,gcs,libcloud,mlflow,mlperf,neptune,nlp,oci,onnx,pandas,peft,sentencepiece,slack,streaming,system-metrics-monitor,tensorboard,wandb


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-mosaicml -f %{pyproject_files}


%changelog
%autochangelog